
package de.ivu.elect.business.stimmeingabe.boundary;

import javax.inject.Inject;

import de.ivu.elect.business.stimmeingabe.control.StimmeingabeGruppeStimmenErfassenLabelGenerator;
import de.ivu.elect.business.stimmeingabe.control.StimmeingabeKopfzahlErfassenLabelGenerator;
import de.ivu.elect.business.stimmeingabe.control.StimmeingabeListenkandidaturStimmenErfassenLabelGenerator;
import de.ivu.elect.business.stimmeingabe.control.plausi.NlDefaultListenwahlStimmeingabePlausiBuilder;

public class NlDefaultListenwahlStimmeingabeErfassenDescription extends AbstractStimmeingabeErfassenDescription {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlDefaultListenwahlStimmeingabePlausiBuilder defaultListenwahlStimmeingabePlausiBuilder;

  @Inject
  private transient NlDefaultListenwahlStimmeingabeErfassenModelBuilder defaultListenwahlStimmeingabeErfassenModelBuilder;

  @Inject
  private transient NlDefaultListenwahlStimmeingabeErfassenLabelGenerator defaultListenwahlStimmeingabeErfassenLabelGenerator;

  public NlDefaultListenwahlStimmeingabeErfassenDescription() {
    super();
  }

  @Override
  public boolean isListenkandidaturStimmenErfassen() {
    return true;
  }

  @Override
  public NlDefaultListenwahlStimmeingabePlausiBuilder getStimmeingabePlausiBuilder() {
    return defaultListenwahlStimmeingabePlausiBuilder;
  }

  @Override
  public NlDefaultListenwahlStimmeingabeErfassenModelBuilder getStimmeingabeKopfzahlErfassenModelBuilder() {
    return defaultListenwahlStimmeingabeErfassenModelBuilder;
  }

  @Override
  public StimmeingabeKopfzahlErfassenLabelGenerator getStimmeingabeKopfzahlErfassenLabelGenerator() {
    return defaultListenwahlStimmeingabeErfassenLabelGenerator;
  }

  @Override
  public NlDefaultListenwahlStimmeingabeErfassenModelBuilder getStimmeingabeGruppeStimmenErfassenModelBuilder() {
    return defaultListenwahlStimmeingabeErfassenModelBuilder;
  }

  @Override
  public StimmeingabeGruppeStimmenErfassenLabelGenerator getStimmeingabeGruppeStimmenErfassenLabelGenerator() {
    return defaultListenwahlStimmeingabeErfassenLabelGenerator;
  }

  @Override
  public NlDefaultListenwahlStimmeingabeErfassenModelBuilder getStimmeingabeListenkandidaturStimmenErfassenModelBuilder() {
    return defaultListenwahlStimmeingabeErfassenModelBuilder;
  }

  @Override
  public StimmeingabeListenkandidaturStimmenErfassenLabelGenerator getStimmeingabeListenkandidaturStimmenErfassenLabelGenerator() {
    return defaultListenwahlStimmeingabeErfassenLabelGenerator;
  }
}
